/*
 *  Copyright (C) 2003-2004 Curt Coder
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifdef WIN32
#pragma comment(lib, "winmm.lib")
#endif

// public functions

bool InitSound();
void UninitSound();
void PlayNote(int channel, double freq, double len);

// constants

#define IDI_SND_OSCILLATOR_FREQUENCY	1193180
#define IDI_SND_TIMER_RESOLUTION		18.2
#define IDI_SND_PITCH					1.5

#define IDI_SAMPLE_FREQUENCY	44100
#define IDI_SAMPLE_RESOLUTION	8
#define IDI_SAMPLE_AMPLITUDE	240

#define	PI	3.14159265
